# Note that this is NOT a relocatable package
%define ver      1.0.55
%define rel      3mdk
%define prefix   /usr

Summary: The GNOME Personal Information Manager.
Name: gnome-pim
Version: %ver
Release: %rel
Copyright: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{ver}.tar.bz2
BuildRoot: /var/tmp/gnome-pim-%{PACKAGE_VERSION}-root
Icon: gnome-pim-logo.xpm
URL: http://www.gnome.org

Docdir: %{prefix}/doc

%description
The GNOME Personal Information Manager consists of applications to make
keeping up with your busy life easier.

Currently these apps are present:

 - gnomecal :  personal calendar and todo list
 - gnomecard:  contact list of friends and business associates

%package devel
Summary: GNOME PIM development files
Group: Development/GNOME and GTK+
Icon: gnome-pim-devel-logo.xpm
Requires: gnome-pim

%description devel
Files needed to develop apps which interact with gnome-pim applications
via CORBA.

%changelog
* Sat Apr 15 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.55-3mdk
- add menu entries 
- Correct groups

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build
- 1.0.55

* Sun Aug 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Version 1.0.9
- cleaned %files

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Version 1.0.7.

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Stripping again ;-).

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build and fixed source line

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gtk+ 1.1.12

* Mon Dec 14 1998 Michael Fulbright <drmike@redhat.com>
- first try at an RPM for the 0.99.0 release

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -d $RPM_BUILD_ROOT/usr/share/icons
install -m 644 $RPM_SOURCE_DIR/gnome-pim-logo.xpm $RPM_BUILD_ROOT/usr/share/icons/
install -m 644 $RPM_BUILD_ROOT/usr/share/pixmaps/gnome-card.xpm $RPM_BUILD_ROOT/usr/share/icons/

cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/gnome-pim
?package(%{name}): \
	needs="X11" \
	section="Office" \
	title="Gnome-Cal" \
	longtitle="personal calendar and todo list" \
	command="/usr/bin/gnomecal" \
	icon=gnome-pim-logo.xpm
?package(%{name}): \
	needs="X11" \
	section="Office" \
	title="Gnome-Card" \
	longtitle="contact list of friends and business associates" \
	command="/usr/bin/gnomecard" \
	icon=gnome-card.xpm
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi
/sbin/ldconfig

%postun
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%config /etc/CORBA/servers/*
%{prefix}/share/gnome/apps/*/*.desktop
%{prefix}/share/gnome/help/cal
%{prefix}/share/gnome/help/gnomecard
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/mime-info/*
%{prefix}/share/icons/gnome-card.xpm
%{prefix}/share/icons/gnome-pim-logo.xpm
%{prefix}/lib/menu/gnome-pim



%files devel
%defattr(-, root, root)

%{prefix}/lib/*a
%{prefix}/share/idl
